mybatis配置入门中遇到的问题

问题一 非法注射

问题描述:WARNING: An illegal reflective access operation has occurred

    这种问题主要是jdk版本和mybatis的jar包不匹配的问题,我喜欢用高版本的的jdk(低版本什么的早该淘汰了)
    对于高版本可以用3.5.6版本,对于低版本可以用3.4.6版本,怎么修改相信大家都知道的。

		
			org.mybatis
			mybatis
			3.5.6
		

问题二 找不到驱动

问题描述: Cannot find class: com.mysql.jdbc.driver

    由于害怕我的mysql和jar包也出现不匹配问题,我先查看了我的mysql版本
    mysql --version
    但是在更换过jar包之后这个问题还是没有解决。
    这时我才发现在高版本的 mysql jar包中路径已经不再是com.mysql.jdbc.driver
    需要更改为com.mysql.cj.jdbc.Driver

	
	
		
		
			
			
			
			
				
				
				
				
				
			
		
	
原文链接:,转发请注明来源!